# $Revision: 1.16 $, $Date: 2002/07/25 07:36:08 $
#
# TODO:
#
# waiting for "stable" tarball
#
Summary:	An GUI advanced Linux download manager
Summary(pl):	Zaawansowany program do cigania plikw z interfejsem graficznym
Name:		prozgui
Version:	2.0.4
Release:	2
License:	GPL
Group:		Applications/Networking
Source0:	http://prozilla.delrom.ro/packages/prozgui/tarballs/%{name}-%{version}beta3.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-acinclude.m4.patch
URL:		http://prozilla.delrom.ro/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	fltk-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _prefix         /usr/X11R6
%define         _mandir         %{_prefix}/man

%description
This is the GUI version of Prozilla. It uses libprozilla and the the
GUI is created and designed with The Fast Light Tool Kit (fltk).

ProZilla is a download accellerator program written for Linux to speed
up the normal file download process. It often gives speed increases of
around 200% to 300%. It supports both FTP and HTTP protocols, and the
theory behind it is very simple. The program opens multiple
connections to a server, and each of the connections downloads a part
of the file, thus defeating existing internet congestion prevention
methods which slow down a single connection based download.

%description -l pl
ProZilla jest programem typu "download accellerator" dla Linuksa
napisanym, aby przyspieszy proces cigania plikw. Czsto daje
zwikszenie prdkoci do 200-300%. Wspiera protokoy HTTP i FTP, a
jego teoretyczne dziaanie jest bardzo proste. Program otwiera wiele
pocze do servera i kade z nich ciga tylko cz pliku. Dziki
temu mozliwe jest ominicie ogranicze transferu nakadanych na
pojedyncze poczenie.

Interface zosta zaprojektowany i zbudowany w oparciu o bibliotek
FLTK.

%package devel
Summary:	prozilla development files
Summary(pl):	Narzdzia programistyczne dla prozilli
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
prozilla development files.

%description devel -l pl
Narzdzia programistyczne dla prozilli.

%package static
Summary:	prozilla static library
Summary(pl):	Bilbioteka prozilli linkowana statycznie
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
prozilla static library.

%description static -l pl
Biblioteka prozilli linkowana statycznie.

%prep
%setup -q -n %{name}-%{version}beta3
%patch0 -p1

%build
rm -f missing acinclude.m4
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
cd libprozilla
rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
cd ..
%configure \
    --with-fltk-includes=%{_includedir} \
    --with-fltk-libs=%{_libdir} \
    --enable-shared
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_applnkdir}/Network/FTP} \
	$RPM_BUILD_ROOT{%{_mandir}/man1,%{_includedir}}

%{__make} DESTDIR=$RPM_BUILD_ROOT prefix=$RPM_BUILD_ROOT install

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Network/FTP/%{name}.desktop
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

mv -f man/prozgui.1 .
mv -f libprozilla/TODO libprozilla/TODO-devel
mv -f libprozilla/README libprozilla/README-devel
mv -f libprozilla/src/{prozilla.h,netrc.h} $RPM_BUILD_ROOT%{_includedir}
mv -f $RPM_BUILD_ROOT/share/locale/ $RPM_BUILD_ROOT%{_datadir}

mv -f libprozilla/docs/HACKING ./libprozilla/

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS CREDITS* ChangeLog NEWS README TODO docs/FAQ
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libprozilla.so.*.*
%{_applnkdir}/Network/FTP/%{name}.desktop
%{_pixmapsdir}/*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc libprozilla/{TODO-devel,README-devel,HACKING}
%attr(755,root,root) %{_libdir}/libprozilla.la
%attr(755,root,root) %{_libdir}/libprozilla.so
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libprozilla.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: prozgui.spec,v $
Revision 1.16  2002/07/25 07:36:08  qboosh
- use shared library, use find_lang for locale files; release 2

Revision 1.15  2002/07/23 11:06:24  kloczek
- release 1: use new %doc.

Revision 1.14  2002/06/23 20:32:33  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.13  2002/05/21 23:14:33  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.12  2002/04/22 10:56:37  qboosh
- pl fixes, cosmetics

Revision 1.11  2002/04/20 11:43:38  djrzulf
- %files section corrected,

Revision 1.10  2002/04/20 11:26:48  kloczek
- added acinclude.m4 patch,
- added full regenerate ac/am/lt files,
- removed fltk from Requires (this rule is autohgenerated),
- spec adapterized.

Revision 1.9  2002/04/20 09:04:50  djrzulf
- humanista nie jestem :],

Revision 1.8  2002/04/20 08:57:16  djrzulf
- finished work,
- needs testing,
- STBR,

Revision 1.7  2002/04/20 06:36:01  djrzulf
- s/Icon/Source2/

Revision 1.6  2002/04/20 00:00:11  kloczek
- changed .desktop Icon file to png format.

Revision 1.5  2002/04/19 23:55:00  kloczek
- removed some files from %doc,
- some cleanups and apterize spec file,
- use more macros.

Revision 1.4  2002/04/19 23:37:04  djrzulf
- it builds now and creates working packages,
- read "TODO" on top of the spec-file,

Revision 1.3  2002/04/19 18:57:32  maryush
- fix fail build

Revision 1.2  2002/04/19 18:10:35  djrzulf
- Icon: nie rozwija %{name},

Revision 1.1  2002/04/19 17:47:37  djrzulf
- temporary save unfinished work,
- doesn't build,
